Description

I was able to install Redmine 3.1.0 on an Ubuntu server (15.04). Now, I want to integrate hgweb (Mercurial). the configuration of

Apache is easy:

        PerlLoadModule Apache::Redmine

        ScriptAlias /hg  "/var/www/html/hg/hgweb.cgi" 

        <Location /hg >

            AuthType Basic

            AuthName "Redmine Mercurial Repository" 

            AuthUserFile /dev/null

            Require valid-user

            #Redmine auth

            PerlAccessHandler Apache::Authn::Redmine::access_handler

            PerlAuthenHandler Apache::Authn::Redmine::authen_handler

            RedmineDSN "DBI:mysql:database=redmine;host=localhost" 

            RedmineDbUser "redmine" 

            RedmineDbPass "redmine" 

            #RedmineCacheCredsMax 10

        </Location>

hgweb is working well if I comment out the redmine auth parts. If I try to authenticate with redmine I always get an 401 Unauthorized

message.

Apache error.log:

[Wed Sep 16 17:23:47.447109 2015] [auth_basic:error] [pid 14574:tid 139847437932288] [client x.x.x

.x:45706] AH01618: user transporter not found: /hg/

[Wed Sep 16 17:23:53.075982 2015] [auth_basic:error] [pid 14574:tid 139847446324992] [client x.x.x

.x:45712] AH01618: user transporter not found: /hg/

[Wed Sep 16 17:23:57.296066 2015] [auth_basic:error] [pid 14574:tid 139847356380928] [client x.x.x

.x:45712] AH01618: user transporter not found: /hg/

[Wed Sep 16 17:24:01.422917 2015] [auth_basic:error] [pid 14574:tid 139847347988224] [client x.x.x

.x:45712] AH01618: user transporter not found: /hg/

 I can login into my redmine installation with the used username and password, but it's not working over the pearl module.

I also checked a test directory with simple html files 

Alias /test/ "/var/www/html/test/" 

<Directory " /var/www/html/test/">

    Order allow,deny

    Allow from all

    Require all granted

</Directory>

<Location /test >

    AuthType Basic

    AuthName "Redmine Test Portal" 

    AuthUserFile /dev/null

    Require valid-user

    PerlAccessHandler Apache::Authn::Redmine::access_handler

    PerlAuthenHandler Apache::Authn::Redmine::authen_handler
    RedmineDSN "DBI:mysql:database=redmine;host=localhost" 

    RedmineDbUser "redmine" 

    RedmineDbPass "redmine" 

    #RedmineCacheCredsMax 10

</Location>

 
Environment:

  Redmine version                3.1.1.stable

  Ruby version                   2.2.1-p85 (2015-02-26) [x86_64-linux]

  Rails version                  4.2.4

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.10

  Mercurial                      3.1.2

  Git                            2.1.4

  Filesystem                     

Redmine plugins:

  no plugin installed

 See: Apache::Redmine not working

History

#1 - 2015-10-16 06:37 - Toshi MARUYAMA

- Description updated

#2 - 2015-10-16 06:41 - Toshi MARUYAMA

- Category deleted (Accounts / authentication)

- Status changed from New to Closed

- Resolution set to Invalid

Please do not use issue tracker for questions.

#3 - 2015-10-19 12:11 - Daniel Müller

Toshi MARUYAMA wrote:

Please do not use issue tracker for questions.

 Nobody helped me out with this problem, so I think it's a bug.

#4 - 2015-10-19 12:29 - Toshi MARUYAMA

Daniel Müller wrote:

Nobody helped me out with this problem

 https://www.google.com/search?q=PerlLoadModule+Apache::Redmine+mercurial+hg
